gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Groups of global keyboard accelerators for an entire GtkWindow

A GtkAccelGroup represents a group of keyboard accelerators, typically attached to a toplevel GtkWindow (with Gtk.Window.AddAccelGroup ()). Usually you won't need to create a Gtk.AccelGroup directly; instead, when using Gtk.ItemFactory, Gtk# automatically sets up the accelerators for your menus in the item factory's Gtk.AccelGroup.

Note that accelerators are different from mnemonics. Accelerators are shortcuts for activating a menu item; they appear alongside the menu item they're a shortcut for. For example "Ctrl+Q" might appear alongside the "Quit" menu item. Mnemonics are shortcuts for GUI elements such as text entries or buttons; they appear as underlined characters. See Gtk.Label.NewWithMnemonic (). Menu items can have both accelerators and mnemonics, of course.

GLib.Object GLib.IWrapper System.IDisposable
- Method
  Gtk.AccelGroup `` Finds the to which closure is connected. A GClosure () The to which 'closure' is connected, or .
- Method
  System.Void Undoes the last call to on its object.
- Method
  System.Boolean `` Removes an accelerator previously installed through . The closure to remove from this accelerator group. if the closure was found and got disconnected
- Method
  System.Void `` `` Installs an accelerator in this group, using an accelerator path to look up the appropriate key and modifiers (see )). When the group is being activated in response to a call to , 'closure' will be invoked if the accel_key and accel_mods from match the key and modifiers for the path. Path used for determining key and modifiers. Closure to be executed upon accelerator activation
- Method
  Gtk.AccelKey `` To be added To be added: an object of type 'IntPtr' To be added: an object of type 'Gtk.AccelKey' To be added
- Method
  System.Boolean `` `` Removes an accelerator previously installed through . Key value of the accelerator. Modifier combination of the accelerator. if there was an accelerator which could be removed, otherwise.
- Method
  Gtk.AccelGroupEntry `` `` `` Queries an accelerator group for all entries matching accel_key and accel_mods. Key value of the accelerator. Modifier combination of the accelerator. Location to return the number of entries found, or . An array of n_entries elements, or .
- Method
  System.Void Locks the given accelerator group. Locking an accelerator group prevents the accelerators contained within it to be changed during runtime. Refer to about runtime accelerator changes. If called more than once, accel_group remains locked until has been called an equivalent number of times.
- Method
  System.Void `` `` `` `` Installs an accelerator in this group. When accel_group is being activated in response to a call to , closure will be invoked if the accel_key and accel_mods from match those of this connection. The signature used for the closure is that of . Key value of the accelerator. Modifier combination of the accelerator. A flag mask to configure this accelerator. Closure to be executed upon accelerator activation. Note that, due to implementation details, a single closure can only be connected to one accelerator group.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of AccelGroup, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of AccelGroup, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  To be added
  To be added: an object of type 'Gtk.AccelGroup'
  To be added
- Property
  System.UInt32 The GLib Type for Gtk.AccelGroup The GLib TYpe for the Gtk.AccelGroup class.
- Event